<?php
@header("Content-type: text/html; charset=utf-8");
require_once(dirname(__FILE__) . '/../smarty/Smarty.class.php');
require_once(dirname(__FILE__) . '/../common/db.class.php');
require_once(dirname(__FILE__) . '/../common/session_helper.php');
require_once(dirname(__FILE__) . '/../common/function.php');
require_once(dirname(__FILE__) .DIRECTORY_SEPARATOR.'..'.DIRECTORY_SEPARATOR.'models'.DIRECTORY_SEPARATOR.'shuqian_model.php');
$style='meepo';
$load->model('Wall_model');
$wall_config=$load->wall_model->getConfig();
$load->model('Weixin_model');
$weixin_config=$load->weixin_model->getConfig();



$id=isset($_GET['id'])?intval($_GET['id']):0;
$shuqian_model=new Shuqian_model();
$shuqian_config=$shuqian_model->setCurrentConfig($id);

$smarty = new Smarty;
$smarty->caching = false;
$apppath=str_replace(DIRECTORY_SEPARATOR.'wall', '', dirname(__FILE__));
$smarty->compile_dir = $apppath.DIRECTORY_SEPARATOR.'data'.DIRECTORY_SEPARATOR.'templates_c'.DIRECTORY_SEPARATOR;

$smarty->assign('from','shuqian');

$smarty->assign('wall_config',$wall_config);
$smarty->assign('shuqian_config',json_encode($shuqian_config));

$smarty->assign('erweima',$weixin_config['erweima']);

$smarty->display('themes/'.$style.'/header.html');
$smarty->display('themes/'.$style.'/shuqian.html');
$smarty->display('themes/'.$style.'/footer.html');